%define major	0
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d
%define _udevrulesdir /lib/udev/rules.d

Name:		airspy
Summary:	An advanced Software Defined Radio project
Version:	1.0.7
Release:	%mkrel 1
License:	GPLv2+ and MIT and BSD
Group:		Communications
URL:		http://airspy.com/
Source0:	host-%{version}.tar.xz
BuildRequires:	cmake
BuildRequires:	%{_lib}usb-compat0.1-devel

%description
Host software for AirSpy, a project to produce a low cost, open source software
radio platform.

%package -n %{libname}
Group:		System/Libraries
Summary:	Library files for airspy
Requires:	%{name} = %{version}-%{release} 

%description -n %{libname}
Host software for AirSpy, a project to produce a low cost, open source software
radio platform. This package provides the dynamic library files.

%package -n %{devname}
Group:		Development/Libraries
Summary:	Development files for airspy
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
Host software for AirSpy, a project to produce a low cost, open source software
radio platform. This package provides development files.

%prep
%setup -q -n host-%{version}

%build
%cmake -DINSTALL_UDEV_RULES=ON
%make

%install
rm -rf %buildroot
cd build
%makeinstall_std

mkdir -p %{buildroot}%{_udevrulesdir}
mv %{buildroot}%{_sysconfdir}/udev/rules.d/52-%{name}.rules %{buildroot}%{_udevrulesdir}/52-%{name}.rules

find %{buildroot} -name "*.a" -delete

%files
%{_udevrulesdir}/52-%{name}.rules
%{_bindir}/%{name}_*

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{version}

%files -n %{devname}
%{_libdir}/pkgconfig/lib%{name}.pc
%{_libdir}/lib%{name}.so
%{_includedir}/lib%{name}/*.h


%changelog
* Sun Jan 10 2016 bb <bb> 1.0.7-1pclos2016
- import from france
